/*
  common.h - common KBalm stuff
  
  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#ifndef COMMON_H
#define COMMON_H

#include <kdebug.h>

// used C#-style to indicate a function overriding a base-class virtual
// it'd be nice if g++ was able to check this.
#define override virtual

#define KBALM_DEBUG_AREA

#define debug() kdDebug(KBALM_DEBUG_AREA)
#define warning() kdDebug(KBALM_DEBUG_AREA)
#define error() kdError(KBALM_DEBUG_AREA)

#endif
