/*
  humanplayer.cpp - human KBalm player

  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#include "humanplayer.h"

#include <klocale.h>

KBalmHumanPlayer::KBalmHumanPlayer( KBalm *balm, int number )
	: Balm::Player(number), _balm(balm)
{
}

KBalmHumanPlayer::Turn::Turn( Balm::Player &player, Balm::Game &game, KBalm *source ) : Balm::Turn( player, game )
{
	connect( source, SIGNAL( nodeSelected(int,int) ), SLOT( move(int,int) ) );
	setStatus( i18n( "It's your turn" ) );
}

//kate: indent-mode: csands;
