/*
  humanplayer.h - human KBalm player

  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#ifndef HUMANPLAYER_H
#define HUMANPLAYER_H

#include "kbalm.h"
#include "player.h"

class KBalmHumanPlayer : public Balm::Player
{
public:
	KBalmHumanPlayer( KBalm *balm, int number );
	override Balm::Turn *createTurn( Balm::Game &game ) { return new Turn( *this, game, _balm ); }
	
	class Turn : public Balm::Turn
	{
	public:
		Turn( Balm::Player &player, Balm::Game &game, KBalm *source );
	};
private:
	KBalm *_balm;
};

#endif

//kate: indent-mode: csands;
