#! /bin/sh

createSVG()
{
	cat node-template | sed "s/%INNER%/$1/" | sed "s/%OUTER%/$2/" > node_$3.svg
	cat connect-template | sed "s/%INNER%/$1/" | sed "s/%OUTER%/$2/" > connect_$3.svg
	rsvg -w 22 -h 22 -f png node_$3.svg node_$3.png
	rsvg -w 8 -h 4 -f png connect_$3.svg connect_$3.png
}

createSVG \#7f7f7f \#000000 0
createSVG \#7070ff \#00007f 1
createSVG \#ff0000 \#7f0000 2
createSVG \#00ff00 \#007f00 3
createSVG \#ff00ff \#7f007f 4

rsvg -w 22 -h 22 -f png node-shadow.svg node_shadow.png
rsvg -w 8 -h 4 -f png connect-shadow.svg connect_shadow.png
rsvg -w 8 -h 8 -f png arrow.svg arrow.png