/*
  pixmapcache.cpp - KBalm pixmap cache
  
  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#include "pixmapcache.h"

#include <qpixmap.h>

KBalmPixmapCache::KBalmPixmapCache() {}
KBalmPixmapCache::~KBalmPixmapCache() {}
	
QPixmap KBalmPixmapCache::pixmap( const QString &name )
{
	_cache_t::iterator it = _cache.find( name );
	if ( it == _cache.end() )
		it = _cache.insert( std::make_pair( name, QPixmap( name ) ) ).first;
	return it->second;
}

//kate: indent-mode: csands;
