/*
  pixmapcache.h - KBalm pixmap cache
  
  Copyright 2004 by Richard Smith <kde@metafoo.co.uk>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
*/

#ifndef PIXMAPCACHE_H
#define PIXMAPCACHE_H

#include "common.h"

#include <map>

class QPixmap;

class KBalmPixmapCache
{
public:
	KBalmPixmapCache();
	~KBalmPixmapCache();
	
	QPixmap pixmap( const QString &name );
	
private:
	typedef std::map<QString,QPixmap> _cache_t;
	_cache_t _cache;
};

#endif
